%define upstream_name    CGI-Untaint
%define upstream_version 1.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	CGI-Untaint Perl module: process CGI input parameters 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl-CGI
BuildRequires:  perl-UNIVERSAL-require
BuildArch:	noarch

%description
This module provides a simple, convenient, abstracted and extensible
manner for validating and untainting the input from web forms.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%make_install

%files
%doc Changes
%{perl_vendorlib}/CGI/Untaint.pm
%{perl_vendorlib}/CGI/Untaint
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.260.0-9pclos2017
- rebuild against updates

